Bug 1411195 - Review Request: js-jquery-iframe-transport - A jQuery Ajax transport plugin for iframe-based file uploads
Summary: Review Request: js-jquery-iframe-transport - A jQuery Ajax transport plugin f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1411201
TreeView+ depends on / blocked
 
Reported: 2017-01-09 04:04 UTC by Randy Barlow
Modified: 2017-02-22 17:51 UTC (History)
2 users (show)

Fixed In Version: js-jquery-iframe-transport-1.0.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-22 17:24:08 UTC
Type: ---
panemade: fedora-review+


Attachments (Terms of Use)

Description Randy Barlow 2017-01-09 04:04:43 UTC
Spec URL: https://bowlofeggs.fedorapeople.org/js-jquery-iframe-transport.spec
SRPM URL: https://bowlofeggs.fedorapeople.org/js-jquery-iframe-transport-1.0.1-1.fc26.src.rpm
Description: jQuery Ajax transport plugin that supports file uploads through a hidden iframe.
Fedora Account System Username: bowlofeggs

Comment 1 Parag AN(पराग) 2017-02-13 07:15:52 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Observation:
1) Though the packaged tarball version is 1.0.1 but package.json still have version value as 1.0.0. Good to get it fixed in upstream.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 10 files have
     unknown license. Detailed output of licensecheck in
     /home/parag/1411195-js-jquery-iframe-transport/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: js-jquery-iframe-transport-1.0.1-1.fc26.noarch.rpm
          js-jquery-iframe-transport-1.0.1-1.fc26.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
js-jquery-iframe-transport (rpmlib, GLIBC filtered):
    js-jquery
    web-assets-filesystem



Provides
--------
js-jquery-iframe-transport:
    js-jquery-iframe-transport



Source checksums
----------------
https://github.com/cmlenz/jquery-iframe-transport/archive/v1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : c590debfe6a9793c545b7fdc8fbd8c70e0d92cd82bf7088e83fc22268227274b
  CHECKSUM(SHA256) upstream package : c590debfe6a9793c545b7fdc8fbd8c70e0d92cd82bf7088e83fc22268227274b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1411195 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64

APPROVED.

Comment 2 Gwyn Ciesla 2017-02-13 14:45:11 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/js-jquery-iframe-transport

Comment 3 Randy Barlow 2017-02-13 17:26:04 UTC
I sent a pull request upstream to correct the package.json version:

https://github.com/cmlenz/jquery-iframe-transport/pull/47

Comment 4 Fedora Update System 2017-02-13 17:40:50 UTC
js-jquery-iframe-transport-1.0.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d164ae3332

Comment 5 Fedora Update System 2017-02-13 17:40:58 UTC
js-jquery-iframe-transport-1.0.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-83eb5c922c

Comment 6 Fedora Update System 2017-02-13 23:50:27 UTC
js-jquery-iframe-transport-1.0.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-83eb5c922c

Comment 7 Fedora Update System 2017-02-14 00:54:35 UTC
js-jquery-iframe-transport-1.0.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d164ae3332

Comment 8 Fedora Update System 2017-02-22 17:24:08 UTC
js-jquery-iframe-transport-1.0.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-02-22 17:51:37 UTC
js-jquery-iframe-transport-1.0.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.